package com.cf.imes.module.system.enums.customplateno;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 自定义板编号规则编码枚举
 *
 * @author Gqr
 * @since 2024/11/11 15:20
 */
@AllArgsConstructor
public enum CustomPlateNoRuleCodeEnum {
    /**
     * 自定义
     */
    CUSTOM("custom"),

    /**
     * 日期
     */
    DATE("date"),

    /**
     * 生产单序号
     */
    ORDERNO("orderNo"),

    /**
     * 板件序号
     */
    PLATENO("plateNo"),

    /**
     * 房间号序号
     */
    ROOMNO("roomNo"),

    /**
     * 柜体序号
     */
    BODYNO("bodyNo");

    @Getter
    private String ruleCode;

    /**
     * 是否匹配
     *
     * @param ruleCode
     * @return
     */
    public static CustomPlateNoRuleCodeEnum match(String ruleCode) {
        for (CustomPlateNoRuleCodeEnum codeEnum : CustomPlateNoRuleCodeEnum.values()) {
            if (codeEnum.ruleCode.equals(ruleCode)) {
                return codeEnum;
            }
        }
        return null;
    }
}
